apiVersion: gateway.networking.k8s.io/v1beta1
kind: HTTPRoute
metadata:
  name: monitoring-route
  namespace: monitoring
spec:
  parentRefs:
  - name: vip-240
    sectionName: vpn
    namespace: istio-system
  hostnames: ["grafana-k22.agepoly.ch"]
  rules:
  - matches:
    - path:
        type: PathPrefix
        value: /
    backendRefs:
    - name: monitoring-grafana
      port: 80